Mini Shell
#!/bin/bash
### BEGIN INIT INFO
# Provides:
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: bakmgr
# Description: IMH Backup Manager
### END INIT INFO
pid_file="/var/run/bakmgr.pid"
get_pid() {
cat "$pid_file"
}
is_running() {
[ -f "$pid_file" ] && ps -p "$(get_pid)" > /dev/null 2>&1
}
case "$1" in
start)
if is_running; then
echo "Already started"
else
echo "Starting bakmgr"
cd /opt/bakmgr/dash || exit 1
/opt/bakmgr/bin/gunicorn -c /opt/bakmgr/dash/dash.conf.py dash_app:app >> /var/log/bakmgr-dash.log 2>&1 &
echo $! > "$pid_file"
if ! is_running; then
echo "Unable to start, See /var/log/bakmgr-dash.log"
exit 1
fi
fi
;;
stop)
if is_running; then
echo -n "Stopping bakmgr..."
kill "$(get_pid)"
for _ in {1..3}; do
if ! is_running; then
break
fi
echo -n "."
sleep 1
done
echo
if is_running; then
echo "Not stopped; may still be shutting down or shutdown may have failed"
exit 1
else
echo "Stopped"
if [ -f "$pid_file" ]; then
rm "$pid_file"
fi
fi
else
echo "Not running"
fi
;;
restart)
$0 stop
if is_running; then
echo "Unable to stop, will not attempt to start"
exit 1
fi
$0 start
;;
status)
if is_running; then
echo "Running"
else
echo "Stopped"
exit 1
fi
;;
*)
echo "Usage: $0 {start|stop|restart|status}"
exit 1
;;
esac
exit 0
Zerion Mini Shell 1.0